# Method: dicomStores.getDICOMStoreMetrics

**Full name**: projects.locations.datasets.dicomStores.getDICOMStoreMetrics

Gets metrics associated with the DICOM store.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{name=projects/*/locations/*/datasets/*/dicomStores/*}:getDICOMStoreMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the DICOM store to get metrics for. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.dicomStores.get` |

### Request body

The request body must be empty.

### Response body

DicomStoreMetrics contains metrics describing a DICOM store.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "studyCount": string, "seriesCount": string, "instanceCount": string, "structuredStorageSizeBytes": string, "blobStorageSizeBytes": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Resource name of the DICOM store, of the form `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}`. |
| `studyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of studies in the store. |
| `seriesCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of series in the store. |
| `instanceCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of instances in the store. |
| `structuredStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total structured storage bytes for all instances in the store. |
| `blobStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total blob storage bytes for all instances in the store. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).